
QGIS Application - Bug report #7256

Calculation of graduated symbology breaks is broken in master

2013-02-28 06:09 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16277

Description

Currently the calculation of Standard Deviation, Quantile and Natural Breaks is broken in master (probably since the introduction of the

new vector API).

This is caused by qgsgraduatedsymbolrendererv2.cpp line 804, where

setSubsetOfAttributes( QgsAttributeList() )

should be

setSubsetOfAttributes( lst )

Associated revisions

Revision 54f3e0a4 - 2013-03-01 11:52 AM - Nathan Woodrow

Merge pull request #449 from nyalldawson/grad_fixes

Fix calculation of graduated symbology breaks (Fix #7256)

History

#1 - 2013-02-28 06:11 PM - Nyall Dawson

Attached pull request fixes break calculation:

https://github.com/qgis/Quantum-GIS/pull/449

#2 - 2013-03-01 02:52 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"54f3e0a445140e38cdcb4049e5d55d658968ac9f".
